%define section free
%define debug_package %{nil}
%define with_maven 1
%global namedreltag b5
%global namedversion %{version}%{?namedreltag}

Name:         cpptasks
Version:      1.0
Release:      %mkrel 0.b5.0.2
Epoch:        0
Summary:      Compile and link task
Group:        Development/Java
License:      ASL 2.0
URL:          http://ant-contrib.sourceforge.net/
Source0:      http://downloads.sourceforge.net/ant-contrib/cpptasks-%{namedversion}.tar.gz
Source1:      cpptasks-antlib.xml
Patch0:       cpptasks-pom.patch
BuildRequires: java-rpmbuild >= 0:1.5
BuildRequires: ant >= 0:1.6
BuildRequires: ant-junit >= 0:1.6
BuildRequires: junit
BuildRequires: xerces-j2
%if %with_maven
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
# org.codehaus.mojo clirr-maven-plugin
%endif

Requires:      ant >= 0:1.6
Requires:      xerces-j2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:      noarch


%description
This task can compile various source languages 
and produce executables, shared libraries 
(aka DLL's) and static libraries. Compiler 
adaptors are currently available for several 
C/C++ compilers, FORTRAN, MIDL and Windows 
Resource files. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Compile and link task.

# The manual for b5 has been moved to xdoc (doxia) format.
# This requires maven, which requires many dependencies which we don't have.
#%package        manual
#Summary:        Docs for %{name}
#Group:          Development/Java

#%description    manual
#Compile and link task.

%prep
%setup -q -n %{name}-%{namedversion}
find . -name "*.jar" -exec rm {} \;
%{__sed} -i 's/\r//' LICENSE NOTICE
%patch0 -p0

%build
%if %with_maven
mvn-rpmbuild -e install javadoc:aggregate
%else
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=
ant jars javadocs
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%if %with_maven
install -pm 644 target/%{name}-%{namedversion}.jar \
      $RPM_BUILD_ROOT%{_javadir}/
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%else
install -pm 644 target/lib/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}.jar
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%endif

ln -s %{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# manual
#install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

#for i in LICENSE NOTICE `find $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} -type f`; do
#  %{__perl} -pi -e 's/\r$//g' $i
#done

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE NOTICE
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

#%files manual
#%defattr(-,root,root,-)
#%doc %{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0:1.0-0.b5.0.2.mga3
+ Revision: 348242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 gil <gil> 0:1.0-0.b5.0.1.mga2
+ Revision: 177132
- corrected  jar version
- update to 1.0b5
  removed gcj macro
  adapt to new guideline
  build with maven 3.x support

* Sun Mar 13 2011 grenoya <grenoya> 0:1.0-0.b4.4.4.mga1
+ Revision: 70481
- imported package cpptasks

